Bug 545691 - samba: new add share resource functionality, add new share resource as well as already deleted shares
samba: new add share resource functionality, add new share resource as well a...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On: 537321
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-09 00:30 EST by Rajan Timaniya
Modified: 2010-02-17 08:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-17 08:02:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2009-12-09 00:30:05 EST
Description of problem:
samba: new add share resource functionality, add new share resource as well as already deleted shares

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log in to imanage
2. Click on Overview and then Dashboard
      
3. Click on 'Samba Server' under the 'Recently Added  Resources'
4. Click on 'INVENTORY' and select the option 'OVERVIEW' 
    
5. In 'Child Resources' there is selection box to select 
      '- Samba Share' or 'Services'. Select '- Samba Share' and click on 'OK' button

6. To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: testrajan1
     Name: testrajan1

7. To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: testrajan2
     Name: testrajan2

8. Select samba share resources (i.e. 'testrajan1' and 'testrajan2') for delete

9. Verify that the selected share resources (i.e. 'testrajan1' and 'testrajan2') should delete and show in 'History of delete child resource requests' section

10. Add new share resource 'testrajanagain'
To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: testrajanagain
     Name: testrajanagain

  
Actual results:
New add share resource (i.e. 'testrajanagain') add new share resource as well as already deleted share resources  (i.e. 'testrajan1' and 'testrajan2') under the 'Child Resources' section

Expected results:
The system should new added share resource should create and show under the 'Child Resources' section and the already deleted share resources (i.e. 'testrajan1' and 'testrajan2') should not come under the 'Child Resources' section

Additional info:
Comment 1 wes hayutin 2010-02-16 11:54:41 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:00:07 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Sudhir D 2010-02-17 08:02:37 EST
This functionality is working and so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.